<link rel="import" href="../../bower_components/polymer/polymer-element.html">
<link rel="import" href="../../bower_components/iron-form/iron-form.html">
<link rel="import" href="../../bower_components/paper-button/paper-button.html">

<dom-module id="mi-app-sobre-mi">
  <template>
    <style>
      fieldset{
        border:1px solid #DCDCDC;
        margin-left: 120px;
      }
      table.dates{
        float: right;
        font-size: 12px;
        width: 85%;
      }
      td{
        width: 200px;
      }
      label{
        margin-left: 5px;
      }
      input.input-info{
        border-radius: 3px;
        border:1px solid #DCDCDC;
        width: 98%;
        height: 20px;
        outline-color: #fc4484;
      }
      input.textareaT{
        border-radius: 3px;
        border:1px solid #DCDCDC;
        width: 98%;
        height: 80px;
        outline-color: #fc4484;
      }
      paper-button{
        background-color: var(--accent-color);
        font-weight: bold;
        margin-top: 20px;
        float: right;
        color: white;
      }
      ul{
        color: #C0C0C0;
      }
      fieldset.encabezados{
        color: #FF1493;
        font-weight: bold;
        font-size: 12px;
        background-color: #D3D3D3;
        border:1px solid #DCDCDC;
        border-radius: 5px 5px 0px 0px;
        margin-top: 20px;
      }
    </style>

   <form is="iron-form">
    <fieldset class="encabezados" >INFORMACIÓN DE CONTACTO</fieldset>
    <fieldset>
      <table class="dates">
                  <tr>
                    <td>
                      <label>Twitter username</label><br>
                      <input type="text" name="twitter" class="input-info">
                    </td>
                    <td>
                      <label>Github username</label><br>
                      <input type="text" name="github" class="input-info">
                    </td>
                  </tr>

                  <tr>
                    <td>
                      <label>Facebook url</label><br>
                      <input type="url" name="facebook" class="input-info"><br>
                    </td>
                    <td>
                      <label>Linkedin url</label><br>
                      <input type="url" name="linkedin" class="input-info"><br>
                    </td>
                  </tr><br>
                  <tr>
                    <td colspan="2">
                      <label>Website url</label><br>
                      <input type="url" name="website" class="input-info"><br>
                    </td>
                  </tr>
                  <tr>
                    <td colspan="2">
                      <label>Bio</label><br>
                      <input type="textarea" name="bio" class="textareaT" placeholder="Escribe algo sobre ti, tu experiencia profesional, motivaciones, aficiones, etc.">
                    </td>
                    
                  </tr>
                  
             </table>     
          </form>
          <paper-button>GUARDAR CAMBIOS</paper-button><br><br><br><br>

    </fieldset>
                

  </template>
  
  </template>
  

  <script>
    /**
     * @customElement
     * @polymer
     */
    class MiAppSobreMi extends Polymer.Element {
      static get is() { return 'mi-app-sobre-mi'; }
      static get properties() {
        return {
          prop1: {
            type: String,
            value: 'mi-app-sobre-mi'
          }
        };
      }
    }
    

    window.customElements.define(MiAppSobreMi.is, MiAppSobreMi);
  </script>
</dom-module>